// 引入ali-oss
let OSS = require('ali-oss');

/**
 *  [accessKeyId] {String}：通过阿里云控制台创建的AccessKey。
 *  [accessKeySecret] {String}：通过阿里云控制台创建的AccessSecret。
 *  [bucket] {String}：通过控制台或PutBucket创建的bucket。
 *  [region] {String}：bucket所在的区域， 默认oss-cn-hangzhou。
 */
let client = new OSS({
    // region: 'oss-cn-beijing',
    // //云账号AccessKey有所有API访问权限，建议遵循阿里云安全最佳实践，部署在服务端使用RAM子账号或STS，部署在客户端使用STS。
    // accessKeyId: 'LTAI4GG1zbSAQrjAvWL8bJKX',
    // accessKeySecret: '06yXwRMA5ppeTb0hI29lG3jQqwr4A8',
    // bucket: 'hsz1997'
    region: 'oss-cn-beijing',
    //云账号AccessKey有所有API访问权限，建议遵循阿里云安全最佳实践，部署在服务端使用RAM子账号或STS，部署在客户端使用STS。
    accessKeyId: 'LTAI4FyVepQBtS7P6waqWbjC',
    accessKeySecret: 'Fu97bC8ygDnsef8dhXlU4ZEaB2gNDM',
    bucket: 'jieancai'
});

/**

 */
export const put = async (ObjName, fileUrl) => {
    try {
        console.log(ObjName, fileUrl)
        let result = await client.put(`/img/${ObjName}`, fileUrl);
        // AAA为文件夹， ObjName为文件名字,可以只写名字，就直接储存在 bucket 的根路径
        return result;
    } catch (e) {
        console.log(e);
    }
};

export const getFileNameUUID = () => {
    function rx() {
        return (((1 + Math.random()) * 0x10000) | 0).toString(16).substring(1);
    }
    return `${+new Date()}_${rx()}${rx()}`;
};

// export function client1(data) {
//     //data后端提供数据
//     return new OSS({
//         region: data.region,
//         accessKeyId: data.accessKeyId,
//         accessKeySecret: data.accessKeySecret,
//         bucket: data.bucket
//     });
// }
